Name: 		lxlogout
Summary: 	Logout dialog for LXDE 
Version: 	1.0
Release: 	%mkrel 1
License: 	GPL3
Group: 		Graphical desktop/LXDE
Packager: 	Agent Smith <ruidobranco@yahoo.com.br>
URL:  		https://sourceforge.net/projects/pclinuxosbr/files/lxlogout
Distribution: 	PCLinuxOS
BuildArch:	noarch
Source0:	%{name}.sh
Requires:	yad
Requires:	gdm

BuildRoot: 	%_tmppath/%name-%version-buildroot


%description

Elegant logout dialog for the LXDE desktop environment, with working suspend and hibernate functions


%prep

%build

%install
%__rm -rf %{buildroot}
install -d %{buildroot}%{_bindir}/
cp %{_sourcedir}/%{name}.sh %{buildroot}%{_bindir}/
chmod a+x %{buildroot}%{_bindir}/%{name}.sh

install -d %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Type=Application
Name=LX-Logout
GenericName=lxgout
Comment=%{summary}
Exec=%{name}.sh
Icon=gnome-logout
EOF


%clean
rm -rf %{buildroot}


%files
%defattr(0755,root,root,0755)
%{_bindir}/%{name}.sh
%{_datadir}/applications/*

%changelog

* Tue Sep 06 2022  Agent Smith <ruidobranco@yahoo.com.br> 1.00-1pclos2022
- Created the package lxlogout-1.00-1pclos2022.noarch.rpm, with latest source.
- Exclusively made for PCLOS.


